For the complete documentation index, see llms.txt. This page is also available as Markdown.

Inventory Items

Returns inventory

get
Authorizations
ApiKeystringRequired

Api key taken from 'Gateway API key' setting.

Query parameters
warehouseIdstring · uuidOptional
clientIdstring · uuidOptional
Responses
200

OK

productIdstring · uuid · nullableOptional
skustring · nullableOptional
clientIdstring · uuid · nullableOptional
warehouseIdstring · uuid · nullableOptional
quantitynumber · doubleOptional
isSerialControlledbooleanOptional
isExpiryControlledbooleanOptional
isDecimalControlledbooleanOptional
get/inventory
GET /inventory HTTP/1.1
ApiKey: YOUR_API_KEY
Accept: */*
200

OK

[
  {
    "productId": "123e4567-e89b-12d3-a456-426614174000",
    "sku": "text",
    "clientId": "123e4567-e89b-12d3-a456-426614174000",
    "warehouseId": "123e4567-e89b-12d3-a456-426614174000",
    "quantity": 1,
    "isSerialControlled": true,
    "isExpiryControlled": true,
    "isDecimalControlled": true,
    "details": [
      {
        "serialNumber": "text",
        "lotNumber": "text",
        "expiry": "2026-01-01T00:00:00.000Z",
        "eachCount": 1,
        "quantity": 1
      }
    ]
  }
]

Last updated